package com.ylx.massage.enums;

/**
 * @author jianlong
 * @date 2024-03-27 15:31
 * 支付类型枚举
 */
public enum PayTypeEnum {

    /**
     * 微信支付
     */
    WX_PAY(1, "微信支付"),

    /**
     * 余额支付
     */
    BALANCE_PAY(2, "余额支付"),

    /**
     * 积分支付
     */
    POINT_PAY(3, "积分支付");


    private final Integer code;
    private final String info;

    PayTypeEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }

}
